Bug 166538 - New port: www/mod_spdy
Summary: New port: www/mod_spdy
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Steve Wills
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-03-31 18:50 UTC by Masaki TAGAWA
Modified: 2012-05-04 14:40 UTC (History)
1 user (show)

See Also:


Attachments
mod_spdy.shar (19.59 KB, text/plain)
2012-03-31 18:50 UTC, Masaki TAGAWA
no flags Details
mod_spdy_0.9.1.5.shar (19.87 KB, application/x-shar)
2012-05-03 05:21 UTC, Masaki TAGAWA
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Masaki TAGAWA 2012-03-31 18:50:12 UTC
mod_spdy is an Apache 2.x filter module that provides SPDY support in the
Apache HTTPD web server. Because mod_spdy is an Apache module, it can be
loaded into currently deployed Apache HTTPD 2.x web servers using mod_so.
This module is still an early beta and is not yet suitable for production
environments.
Comment 1 Edwin Groothuis freebsd_committer 2012-03-31 18:50:27 UTC
Responsible Changed
From-To: freebsd-ports-bugs->apache

apache@ wants this port PRs (via the GNATS Auto Assign Tool)
Comment 2 Steve Wills freebsd_committer 2012-04-29 21:11:41 UTC
Responsible Changed
From-To: apache->swills

I'll take it.
Comment 3 Masaki TAGAWA 2012-05-02 16:14:21 UTC
I found some errrors on this port. Please wait until sending new one.

-- Masaki TAGAWA
Comment 4 Masaki TAGAWA 2012-05-03 05:21:17 UTC
- Updated  mod_spdy to 0.9.1.5
- Changed the way to handle mod_ssl.so

-- Masaki TAGAWA
Comment 5 dfilter service freebsd_committer 2012-05-04 14:38:28 UTC
swills      2012-05-04 13:37:52 UTC

  FreeBSD ports repository

  Modified files:
    www                  Makefile 
  Added files:
    www/mod_spdy         Makefile distinfo pkg-descr pkg-plist 
    www/mod_spdy/files   patch-apache_spdy_session_io.cc 
                         patch-apache_spdy_stream_task_factory.cc 
                         patch-base.gypi 
                         patch-build_modssl_with_npn.sh 
                         patch-common.h patch-make.py 
                         patch-mod_spdy.cc 
                         patch-pthread_shared_mem.cc 
                         patch-python_arch.sh 
                         patch-python_arch2.sh 
                         patch-spdy_protocol_test.cc 
                         patch-stack_trace_posix.cc pkg-message.in 
  Log:
  mod_spdy is an Apache 2.x filter module that provides SPDY support in the
  Apache HTTPD web server. Because mod_spdy is an Apache module, it can be
  loaded into currently deployed Apache HTTPD 2.x web servers using mod_so.
  This module is still an early beta and is not yet suitable for production
  environments.
  
  WWW:    http://code.google.com/p/mod-spdy/
  
  PR:             ports/166538
  Submitted by:   Masaki TAGAWA
  
  Revision  Changes    Path
  1.3175    +1 -0      ports/www/Makefile
  1.1       +85 -0     ports/www/mod_spdy/Makefile (new)
  1.1       +6 -0      ports/www/mod_spdy/distinfo (new)
  1.1       +12 -0     ports/www/mod_spdy/files/patch-apache_spdy_session_io.cc (new)
  1.1       +12 -0     ports/www/mod_spdy/files/patch-apache_spdy_stream_task_factory.cc (new)
  1.1       +18 -0     ports/www/mod_spdy/files/patch-base.gypi (new)
  1.1       +98 -0     ports/www/mod_spdy/files/patch-build_modssl_with_npn.sh (new)
  1.1       +13 -0     ports/www/mod_spdy/files/patch-common.h (new)
  1.1       +17 -0     ports/www/mod_spdy/files/patch-make.py (new)
  1.1       +12 -0     ports/www/mod_spdy/files/patch-mod_spdy.cc (new)
  1.1       +146 -0    ports/www/mod_spdy/files/patch-pthread_shared_mem.cc (new)
  1.1       +19 -0     ports/www/mod_spdy/files/patch-python_arch.sh (new)
  1.1       +19 -0     ports/www/mod_spdy/files/patch-python_arch2.sh (new)
  1.1       +18 -0     ports/www/mod_spdy/files/patch-spdy_protocol_test.cc (new)
  1.1       +26 -0     ports/www/mod_spdy/files/patch-stack_trace_posix.cc (new)
  1.1       +16 -0     ports/www/mod_spdy/files/pkg-message.in (new)
  1.1       +8 -0      ports/www/mod_spdy/pkg-descr (new)
  1.1       +3 -0      ports/www/mod_spdy/pkg-plist (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 6 Steve Wills freebsd_committer 2012-05-04 14:40:07 UTC
State Changed
From-To: open->closed

Committed. Thanks!